Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000386TunixLoaderspublic2011-11-11 23:422011-11-18 17:07
ReporterFred 
Assigned ToFred 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionreopened 
PlatformApple MacOSOS XOS Version10.6
Product Version0.9.24-SNAPSHOT 
Target Version0.9.24Fixed in Version 
Summary0000386: Completely Fails To Connect With PL2303 Device
Descriptionhttp://issues.freeems.org/view.php?id=384 [^]

Exactly the same behaviour as Sean's loader, which I believe uses your code now. I'd like to see them be genetically different for occasions like this when I end up unable to load without changing hardware or operating system. That's not an option for most people who don't have 5 computers, 7 operating systems and 6 types of serial chipsets at their disposal :-)
Additional InformationRelease Note, PL-2303 Mac OS X driver v1.4.0
For Mac OS X 10.6 and 10.7
Prolific Edition
====================================================================

Supported device ID:
====================
    VID:067B
    PID:2303

Kernel extension filename:
====================
    ProlificUsbSerial.kext

Device base name:
====================
    usbserial

Device descriptions:
====================
    USB-Serial Controller

Driver version:
====================
    1.4.0

Installer filename:
====================
    PL2303_1.4.0.pkg

Installer script:
====================
    Remove any previous installed driver first.

    1. go to terminal
    2. cd /system/library/Extension
    3. kextunload ProlificUSBSerial.kext
    4. rm -r ProlificUSBSerial.kext

Installer title:
====================
    Prolific USB to Serial Cable driver for Mac OS X 10.6

 
System Requirement:
====================
. Mac OS X 10.6 Snow Leopard (32 and 64 bit kernel)
. Mac OS X 10.7 Lion (32 and 64 bit kernel)
. USB host controller
. Device using PL-2303H/X


==================================================
Prolific Technology Inc.
http://www.prolific.com.tw [^]
 
TagsNo tags attached.
FirmwareVersion
Attached Files

- Relationships

-  Notes
(0000564)
dandruczyk (viewer)
2011-11-13 00:50

This tells me nothing and neither does the other ticket. Try harder and provide more feedback as to what is going on, instrument code is you have to.
User avatar (0000565)
Fred (administrator)
2011-11-13 01:06

I'm not spending time that I don't have instrumenting someone else's code and I have no further information as it stands except that another application works fine. I can attach the source from that app if you like. It's your code, you instrument it, I'll test it when you've pushed to a temporary branch for me to pull from.
(0000566)
dandruczyk (viewer)
2011-11-13 01:12

strace your code to see what EXACTLY it is doing.

Use google if you don't what strace is (any developer should know the tool or it's bretherin on other unix class OS's (truss and/or dtrace on solaris)

You failed to provide any GIT hash of hte firmware (when in live, non SM mode) or EXACT CONTEXT/order of operations to be able to debug anything without wasting HOURS of my time.
(0000569)
dandruczyk (viewer)
2011-11-13 02:22

The "output" you provided was from SEANS CODE of which I know nothing whatsoever.

Google strace, apt-get install strace and use it and capture WHAT ITS DOING and point out WHAT EXACTLY IT SHOULD OR SHOULD NOT do as compared to the trace. Hell, provide a trace of a good vs bad run so we have something to compare against. There no way I CAN KNOW what the SM expects or whould reply with, I don't know anything about the serial monitor or what it expects or sends, if it has timing critical issues or requires "wait states" (bad design) or anything, that is your domain and you're the subject matter expert there, so get some EVIDENCE that points to an actual problem that can be solved without a ouiji board.
(0000570)
dandruczyk (viewer)
2011-11-13 13:39

mtxloader loads firmware just fine onto my S19 card with multiple attempts, so I have no "bad case" to compare to. I'm using a PL2303 device, 2.6.32-33-generic kernel and the following PL2303 information:


filename: /lib/modules/2.6.32-33-generic/kernel/drivers/usb/serial/pl2303.ko
license: GPL
description: Prolific PL2303 USB to serial adaptor driver
srcversion: 1A7B7042DEB807B1B0BB456

NOTE: you NEVER provided any of this information in the original ticket, and this is an example of the kind of information that is important along with context. Examples of context that shows evidence of some effort include: "It happens ever time, I tried at least 5 times", "It fails the first time, but then works every time thereafter", or "I watched it with strace and saw blah get sent which should of had a response, and the responses to the command are documented here on this link, page 5, near the top, but the SM didn't respond and here's the trace showing what it did instead"

Marking ticket as "worksforme" as loading works just fine for me with mtxloader.
User avatar (0000571)
Fred (administrator)
2011-11-13 13:53

Updated ticket with driver readme contents.
(0000591)
dandruczyk (viewer)
2011-11-16 14:36

And you forgot the OS exact version, whether its 32/64 bit, and the hardware the mac OS is running on. (which kind of mac, ie. make/model)
User avatar (0000592)
Fred (administrator)
2011-11-16 14:40

System Version: Mac OS X 10.6.7 (10J869)
  Kernel Version: Darwin 10.7.0
  Boot Volume: Macintosh HD
  Boot Mode: Normal
  Computer Name: FreeAir
  User Name: Fred Cooke (fred)
  Secure Virtual Memory: Enabled
  64-bit Kernel and Extensions: No
  Time since boot: 1 day5:27
User avatar (0000593)
Fred (administrator)
2011-11-16 14:41

Hardware Overview:

  Model Name: MacBook Air
  Model Identifier: MacBookAir2,1
  Processor Name: Intel Core 2 Duo
  Processor Speed: 2.13 GHz
  Number Of Processors: 1
  Total Number Of Cores: 2
  L2 Cache: 6 MB
  Memory: 2 GB
  Bus Speed: 1.07 GHz
  Boot ROM Version: MBA21.0075.B03
  SMC Version (system): 1.34f8
  Sudden Motion Sensor:
  State: Enabled
(0000610)
dandruczyk (viewer)
2011-11-18 16:03

Recent commits have made the initial connect, and load work fine, however, the PL2303 driver appears to have bugs where it gets into an odd state, and fails to work again until unplugged and replugged, at which time the cycle repeats.
(0000611)
dandruczyk (viewer)
2011-11-18 17:07

Tested using official prolific 1.4.0 driver, seems to work reasonably reliably on /dev/cu.PL2303-<SERIAL>, but /dev/cu.usbserial only works on first plugin, and also FASTER (almost 2x faster) than the PL2303 device node. I suspect the PL2303 driver is still rather broken internally but since its a closed source driver on a closed source OS, I have no way to debug further.


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker